Package com.independentsoft.office.word

# Class WritingStyle

java.lang.Object
com.independentsoft.office.word.WritingStyle

public class WritingStyle extends Object
The Class WritingStyle.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WritingStyle()`
  Instantiates a new writing style.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `WritingStyle`
  `clone()`
  `String`
  `getApplicationName()`
  Gets the application name.
  `ExtendedBoolean`
  `getCheckStyle()`
  Gets the check style.
  `int`
  `getDllVersion()`
  Gets the dll version.
  `String`
  `getLanguage()`
  Gets the language.
  `ExtendedBoolean`
  `getNaturalLanguageGrammarCheck()`
  Gets the natural language grammar check.
  `int`
  `getVendorID()`
  Gets the vendor id.
  `void`
  `setApplicationName​(String applicationName)`
  Sets the application name.
  `void`
  `setCheckStyle​(ExtendedBoolean checkStyle)`
  Sets the check style.
  `void`
  `setDllVersion​(int dllVersion)`
  Sets the dll version.
  `void`
  `setLanguage​(String language)`
  Sets the language.
  `void`
  `setNaturalLanguageGrammarCheck​(ExtendedBoolean naturalLanguageGrammarCheck)`
  Sets the natural language grammar check.
  `void`
  `setVendorID​(int vendorID)`
  Sets the vendor id.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### WritingStyle

    public WritingStyle()
    Instantiates a new writing style.

- ## Method Details

  - ### clone

    public WritingStyle clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getApplicationName

    public String getApplicationName()
    Gets the application name.
    Returns:
      the application name

  - ### setApplicationName

    public void setApplicationName​(String applicationName)
    Sets the application name.
    Parameters:
      `applicationName` - the new application name

  - ### getCheckStyle

    public ExtendedBoolean getCheckStyle()
    Gets the check style.
    Returns:
      the check style

  - ### setCheckStyle

    public void setCheckStyle​(ExtendedBoolean checkStyle)
    Sets the check style.
    Parameters:
      `checkStyle` - the new check style

  - ### getDllVersion

    public int getDllVersion()
    Gets the dll version.
    Returns:
      the dll version

  - ### setDllVersion

    public void setDllVersion​(int dllVersion)
    Sets the dll version.
    Parameters:
      `dllVersion` - the new dll version

  - ### getLanguage

    public String getLanguage()
    Gets the language.
    Returns:
      the language

  - ### setLanguage

    public void setLanguage​(String language)
    Sets the language.
    Parameters:
      `language` - the new language

  - ### getNaturalLanguageGrammarCheck

    public ExtendedBoolean getNaturalLanguageGrammarCheck()
    Gets the natural language grammar check.
    Returns:
      the natural language grammar check

  - ### setNaturalLanguageGrammarCheck

    public void setNaturalLanguageGrammarCheck​(ExtendedBoolean naturalLanguageGrammarCheck)
    Sets the natural language grammar check.
    Parameters:
      `naturalLanguageGrammarCheck` - the new natural language grammar check

  - ### getVendorID

    public int getVendorID()
    Gets the vendor id.
    Returns:
      the vendor id

  - ### setVendorID

    public void setVendorID​(int vendorID)
    Sets the vendor id.
    Parameters:
      `vendorID` - the new vendor id